Hooks:PostHook(WeaponFactoryTweakData, "init", "BavariumSplitterFactoryTweakDataInit", function(self)

	self.parts.wpn_fps_upg_a_fortress_argent.custom_stats = {
		muzzleflash = "effects/payday2/particles/weapons/assault/ass_muzzleflash_argent"
	}

	self.parts.wpn_fps_upg_a_fortress_poison.custom_stats = {
		bullet_class = "PoisonBulletBase",
		muzzleflash = "effects/payday2/particles/weapons/assault/ass_muzzleflash_poison",
		dot_data = {
				type = "poison",
				custom_data = {dot_length = 10, hurt_animation_chance = 1, dot_damage = 1, dot_trigger_max_distance = 30000, dot_tick_period = 1}
			}
	}
	self.parts.wpn_fps_upg_a_fortress_poison.sub_type = "ammo_poison"

	self.parts.wpn_fps_ass_fortress_ironsights.stance_mod = {
		wpn_fps_ass_fortress = {
			translation = Vector3(0, 0, 0),
			rotation = Rotation(0, -0.413, 0)
		}
	}

	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_fortress = {
		translation = Vector3(-0.01, 8, -2.96),
		--rotation = Rotation(0, 0.413, 0)
	}
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress = {
		translation = Vector3(0, 2, -2.96),
		--rotation = Rotation(0, 0.413, 0)
	}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress)

--	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_famas)

	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_fortress = {
		translation = Vector3(3, -2, -14.1),
		rotation = Rotation(-1, 2.5, -45) --rotation = Rotation(-1.45, 3.3, -45)
	}
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_fortress = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_fortress)
	
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_fortress = {
		translation = Vector3(0, 5, -3),
		--rotation = Rotation(0, 0.413, 0)
	}
--	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 7, -10.2)}

--	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(-0.01, -5, -10.25)}

--	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(-0.01, -5, -8.25)}

--	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_fortress = {
--		translation = Vector3(2.7, 0, -16.9),
--		rotation = Rotation(0, 1.5, -45)
--	}

--	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

--	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 13, -10.2)}

--	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_fortress = {translation = Vector3(0, 0, -4)}

end)